> ## Documentation Index
> Fetch the complete documentation index at: https://docs.x.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Communities 검색

> Communities Search 엔드포인트를 통해 키워드로 Communities를 검색할 수 있습니다. search를 다루는 X API v2 표준 계층에 대한 참고 자료입니다.

export const Button = ({href, children}) => {
  return <div className="not-prose">
    <a href={href}>
      <button className="x-btn">
        <span>{children}</span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

Communities Search 엔드포인트를 통해 키워드로 Communities를 검색할 수 있습니다. 관심 주제를 중심으로 하는 Communities를 찾을 수 있습니다.

## 개요

<CardGroup cols={2}>
  <Card title="키워드 검색" icon="https://mintcdn.com/x-preview/cfyQtgCdwk8p69aa/icons/xds/icon-search.svg?fit=max&auto=format&n=cfyQtgCdwk8p69aa&q=85&s=8c11ad89387b7c09ced1553d5c232834" width="24" height="24" data-path="icons/xds/icon-search.svg">
    이름과 설명으로 Communities 검색
  </Card>

  <Card title="발견" icon="users-rectangle">
    가입할 Communities 찾기
  </Card>
</CardGroup>

***

## 엔드포인트

| Method | Endpoint                                                         | 설명             |
| :----- | :--------------------------------------------------------------- | :------------- |
| GET    | [`/2/communities/search`](/x-api/communities/search-communities) | Communities 검색 |

***

## 매개변수

| 매개변수               | 설명                 |
| :----------------- | :----------------- |
| `query`            | 검색 쿼리 (필수)         |
| `max_results`      | 페이지당 결과 수 (최대 100) |
| `community.fields` | 추가 Community 필드    |

***

## 예제 요청

```bash theme={null}
curl "https://api.x.com/2/communities/search?\
query=Python&\
max_results=10&\
community.fields=name,description,member_count" \
  -H "Authorization: Bearer $BEARER_TOKEN"
```

***

## 시작하기

<Note>
  **사전 요구 사항**

  * 승인된 [개발자 계정](https://developer.x.com/en/portal/petition/essential/basic-info)
  * 개발자 콘솔의 [Project 및 App](/resources/fundamentals/developer-apps)
  * App의 [키 및 토큰](/resources/fundamentals/authentication)
</Note>

<CardGroup cols={2}>
  <Card title="Communities 조회" icon="users-rectangle" href="/x-api/communities/lookup/introduction">
    ID로 Communities 조회
  </Card>

  <Card title="API 참조" icon="https://mintcdn.com/x-preview/ygI6sSJPehlc0qNT/icons/xds/icon-code.svg?fit=max&auto=format&n=ygI6sSJPehlc0qNT&q=85&s=488e23401b19225b89acc0136d242219" href="/x-api/communities/search-communities" width="24" height="24" data-path="icons/xds/icon-code.svg">
    전체 엔드포인트 문서
  </Card>
</CardGroup>
